/* fonts*/
@font-face {
    font-family: Montserrat;
    src: url(../assets/fonts/Montserrat-Thin.woff);
}


/* loader */
.container {
    width: 100%;
    height: 93vh;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    font-size: 1rem;
    border-radius: 20px;
    /* display: none; */
}

.socket {
    width: 200px;
    height: 200px;
    position: absolute;
    left: 50%;
    margin-left: -100px;
    top: 50%;
    margin-top: -100px;
}

.hex-brick {
    background: #000000;
    width: 30px;
    height: 17px;
    position: absolute;
    top: 5px;
    animation-name: fade00;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    -webkit-animation-name: fade00;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
}

.h2 {
    transform: rotate(60deg);
    -webkit-transform: rotate(60deg);
}

.h3 {
    transform: rotate(-60deg);
    -webkit-transform: rotate(-60deg);
}

.gel {
    height: 30px;
    width: 30px;
    transition: all .3s;
    -webkit-transition: all .3s;
    position: absolute;
    top: 50%;
    left: 50%;
}

.center-gel {
    margin-left: -15px;
    margin-top: -15px;
    animation-name: pulse00;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    -webkit-animation-name: pulse00;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
}

.c1 {
    margin-left: -47px;
    margin-top: -15px;
}

.c2 {
    margin-left: -31px;
    margin-top: -43px;
}

.c3 {
    margin-left: 1px;
    margin-top: -43px;
}

.c4 {
    margin-left: 17px;
    margin-top: -15px;
}

.c5 {
    margin-left: -31px;
    margin-top: 13px;
}

.c6 {
    margin-left: 1px;
    margin-top: 13px;
}

.c7 {
    margin-left: -63px;
    margin-top: -43px;
}

.c8 {
    margin-left: 33px;
    margin-top: -43px;
}

.c9 {
    margin-left: -15px;
    margin-top: 41px;
}

.c10 {
    margin-left: -63px;
    margin-top: 13px;
}

.c11 {
    margin-left: 33px;
    margin-top: 13px;
}

.c12 {
    margin-left: -15px;
    margin-top: -71px;
}

.c13 {
    margin-left: -47px;
    margin-top: -71px;
}

.c14 {
    margin-left: 17px;
    margin-top: -71px;
}

.c15 {
    margin-left: -47px;
    margin-top: 41px;
}

.c16 {
    margin-left: 17px;
    margin-top: 41px;
}

.c17 {
    margin-left: -79px;
    margin-top: -15px;
}

.c18 {
    margin-left: 49px;
    margin-top: -15px;
}

.c19 {
    margin-left: -63px;
    margin-top: -99px;
}

.c20 {
    margin-left: 33px;
    margin-top: -99px;
}

.c21 {
    margin-left: 1px;
    margin-top: -99px;
}

.c22 {
    margin-left: -31px;
    margin-top: -99px;
}

.c23 {
    margin-left: -63px;
    margin-top: 69px;
}

.c24 {
    margin-left: 33px;
    margin-top: 69px;
}

.c25 {
    margin-left: 1px;
    margin-top: 69px;
}

.c26 {
    margin-left: -31px;
    margin-top: 69px;
}

.c27 {
    margin-left: -79px;
    margin-top: -15px;
}

.c28 {
    margin-left: -95px;
    margin-top: -43px;
}

.c29 {
    margin-left: -95px;
    margin-top: 13px;
}

.c30 {
    margin-left: 49px;
    margin-top: 41px;
}

.c31 {
    margin-left: -79px;
    margin-top: -71px;
}

.c32 {
    margin-left: -111px;
    margin-top: -15px;
}

.c33 {
    margin-left: 65px;
    margin-top: -43px;
}

.c34 {
    margin-left: 65px;
    margin-top: 13px;
}

.c35 {
    margin-left: -79px;
    margin-top: 41px;
}

.c36 {
    margin-left: 49px;
    margin-top: -71px;
}

.c37 {
    margin-left: 81px;
    margin-top: -15px;
}

.r1 {
    animation-name: pulse00;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-delay: .2s;
    -webkit-animation-name: pulse00;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-delay: .2s;
}

.r2 {
    animation-name: pulse00;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-delay: .4s;
    -webkit-animation-name: pulse00;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-delay: .4s;
}

.r3 {
    animation-name: pulse00;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-delay: .6s;
    -webkit-animation-name: pulse00;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-delay: .6s;
}

.r1>.hex-brick {
    animation-name: fade00;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-delay: .2s;
    -webkit-animation-name: fade00;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-delay: .2s;
}

.r2>.hex-brick {
    animation-name: fade00;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-delay: .4s;
    -webkit-animation-name: fade00;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-delay: .4s;
}

.r3>.hex-brick {
    animation-name: fade00;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-delay: .6s;
    -webkit-animation-name: fade00;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-delay: .6s;
}

@keyframes pulse00 {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    50% {
        -webkit-transform: scale(0.01);
        transform: scale(0.01);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes fade00 {
    0% {
        background: #252525;
    }

    50% {
        background: #000000;
    }

    100% {
        background: #353535;
    }
}

/* golebal */
* {
    box-sizing: border-box;
    letter-spacing: .5px;
}

:root {
    --backColorDark: #303030;
    --colorFontsDark: #fff;
    --backColorLight: #f1f1f1;
    --colorFontslight: #303030;
    --colorBackCard: #3c3c3c;
}

body {
    padding: 10px;
    font-family: Montserrat;
    font-weight: 600;
    background-color: #f1f1f1;
    overflow-x: hidden;
}

h1 {
    /* font-size: 2.2rem;
    line-height: 2.7rem; */
    font-size: clamp(1rem, 3.4783vw + 0.3043rem, 3rem);
    line-height: 1.23em;
}

h2 {
    font-size: 1.8rem;
    line-height: 2.7rem;
}

p,
h3,
h5 {
    font-size: 1.1rem;
}

/*SCROLL*/
.btn {
    width: 30px;
    height: 50px;
    border-radius: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    border: none;
    outline: 2px solid #ffbe0b;
    box-shadow: 0px 0px 10px #ffbe0b;
    position: relative;
}

.scroll {
    width: 5px;
    height: 10px;
    border-radius: 10px;
    background-color: 2px solid #ffbe0b;
    box-shadow: 0px 0px 10px #ffbe0b;
    animation: scroll_4013 2s linear infinite;
    transform: translateY(40%);
}

.btn:after {
    content: 'scroll';
    position: absolute;
    top: 140%;
    color: #ffbe0b;
    text-transform: uppercase;
    letter-spacing: 1.5px;
}

@keyframes scroll_4013 {
    0% {
        transform: translateY(40%);
    }

    50% {
        transform: translateY(90%);
    }
}


.container-scroll {
    /* width: 80%; */
    margin: 0 auto;
}

#progress-bar {
    position: fixed;
    top: 0;
    left: 0;
    width: 0;
    height: 2px;
    background: #ffbe0b;
    z-index: 2;
    box-shadow: 1px 1px 3px #ffcc3f,
        -1px -1px 3px #ffcc3f;
}

/* header */
.container-btn-logo {
    display: flex;
    justify-content: space-between;
}

.conButton {
    display: flex;
    margin-bottom: 15px;
}

.button {
    padding: 12px 15px;
    font-size: 12px;
    background: transparent;
    border: none;
    position: relative;
    color: #f0f0f0;
    z-index: 1;
    font-family: Montserrat Thin;
}

.button::after,
.button::before {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: -99999;
    transition: all .4s;
}

.button::before {
    transform: translate(0%, 0%);
    width: 100%;
    height: 100%;
    background: var(--backColorDark);
    border-radius: 10px;
}

.button::after {
    transform: translate(10px, 10px);
    width: 35px;
    height: 35px;
    background: #ffffff15;
    backdrop-filter: blur(5px);
    border-radius: 50px;
}

.button:hover::before {
    transform: translate(5%, 20%);
    width: 110%;
    height: 110%;
}

.button:hover::after {
    border-radius: 10px;
    transform: translate(0, 0);
    width: 100%;
    height: 100%;
}

.button:active::after {
    transition: 0s;
    transform: translate(0, 5%);
}

.header {
    background-color: #fff;
    padding: 30px;
    text-align: center;
    border-radius: 16px;
    background: #fff;
    box-shadow: 7px 7px 14px #d4d4d4,
        -7px -7px 14px #e0e0e0;
    font-size: clamp(1rem, 3.4783vw + 0.3043rem, 3rem);
    line-height: 1.23em;
}

.header h1 {
    margin: 20px;
    text-align: center;

}

.header div img {
    width: 200px;
    height: 200px;
    border-radius: 100px;
    transition: 0.6s;
}

.header div img:hover {
    border-radius: 100px 100px 0px 100px;
}

.imgmywebsite {
    transition: 0.5s;
}

.imgmywebsite:hover {
    filter: grayscale(0%);
    transform: scale(1.05);
}

/* nav */
.topnav {
    background-color: #000;
    overflow: hidden;
    margin-top: 20px;
    position: sticky;
    top: 0px;
    z-index: 1;
}

.topnav a {
    text-decoration: none;
    text-align: center;
    color: #fff;
    float: left;
    display: block;
    padding: 15px 25px;
}

.topnav a:hover {
    background-color: #ffbe0b;
    color: #000;
}

/* layout */
.leftcol {
    width: 75%;
    float: right;
    padding-left: 20px;
}

.rightrcol {
    float: left;
    width: 25%;
    text-align: center;
}

.row::after {
    content: "";
    clear: both;
    display: block;
}

@media screen and (max-width:1000px) {

    .leftcol,
    .rightrcol {
        width: 100%;
        padding: 0;
        text-align: center;
    }

    .card .imgmywebsite {
        height: 70px;
        width: 70%;
    }

    .card .imgabout {
        height: 250px;
        width: 250px;
    }
}

/* card */
.card {
    background-color: #fff;
    margin-top: 20px;
    padding: 1rem;
    text-align: center;
    border-radius: 16px;
    background: #fff;
    box-shadow: 7px 7px 10px #d4d4d4,
        -7px -7px 10px #e0e0e0;
}

.leftcol .card {
    padding-bottom: 2.8rem;
}

.card img {
    height: auto;
    width: 80%;
}

.fackimage {
    width: 95%;
    height: 100px;
    background-color: #ccc;
    margin: 0 auto;
    margin-bottom: 10px;
}

.card h2 a {
    text-decoration: none;
    color: #000;
}

.rightrcol .card p {
    font-size: 14px;
}

.content-links {
    background-color: #000;
    color: #fff;
    text-decoration: none;
    border-radius: .8rem;
    padding: 1rem 6rem;
    transition: all ease 1s;
}

.content-links:hover {
    padding: 1.1rem 6.7rem;

}

.present-video {
    border-radius: 20px;
}

.present-video video {
    height: auto;
    width: 80%;
    filter: grayscale(100%);
    -webkit-filter: grayscale(100%);
}

.card p {
    margin-bottom: 50px;
}

.right img {
    width: 70px;
    height: 70px;
    border-radius: 16px;
}

.imgproject {
    filter: grayscale(100%);
}

/* card about */
.card-about {
    margin-top: 20px;
    height: 500px;
    position: relative;
    transition: all 0.4s cubic-bezier(0.645, 0.045, 0.355, 1);
    border-radius: 16px;
    align-items: center;
    box-shadow: 0 0 20px 8px #d0d0d0;
    overflow: hidden;
}

.card-image-about {
    height: 100%;
    width: 100%;
    position: absolute;
    transition: all 1s cubic-bezier(0.645, 0.045, 0.355, 1);
    background-image: url(../assets/profile/aboutme.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    filter: grayscale(100%);
}

.card-description {
    display: flex;
    position: absolute;
    width: 100%;
    gap: .2em;
    flex-direction: column;
    background-color: #f5f5f5;
    color: #212121;
    height: 34%;
    bottom: 0;
    border-radius: 16px;
    transition: all 1s cubic-bezier(0.645, 0.045, 0.355, 1);
    padding: 1rem;
}

.card-description p {
    margin-bottom: 1px;
    margin-top: 3px;
}

.text-title {
    margin-top: 0;
    padding: 0;
    font-size: 1.8rem;
    font-weight: 500;
}

.text-body {
    font-size: 1rem;
    line-height: 1.4rem;
}

.card-about:hover .card-description {
    transform: translateY(100%);
}

/* footer */
footer {
    display: flex;
    justify-content: space-between;
    flex-direction: row-reverse;
    align-items: center;
    background-color: #f5f5f5;
    border-radius: 16px;
    background: #fff;
    box-shadow: 7px 7px 10px #d4d4d4,
        -7px -7px 10px #e0e0e0;
    padding: 15px;
    margin: 20px 0 0 0;
}

footer .left{
    padding: 0 0 0 20px;
}

footer .left p{
    font-size: clamp(1em ,1vw , 2rem);
}

footer .right{
    padding:0 20px 0 0;
}
.bi-chevron-up{
    /* position: absolute; */
    background-color: #000;
    padding: 15px;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    color: #fff;
    /* border:9px solid #f1f1f1; */
    /* position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-10%); */
}

.bi-chevron-up-dark{
    /* position: absolute; */
    background-color: #ffbe0b;
    padding: 15px;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    color: #232323;
    /* border:9px solid #303030; 
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-10%); */
}

/* cardskills */
.card-skill {
    background-color: #fff;
    margin-top: 20px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    border-radius: 16px;
    overflow: hidden;
}

.header-skill {
    background-color: #000;
    color: #fff;
    padding: 20px;
    text-align: center;
    font-size: 18px;
}

.body-skill {
    padding: 20px;
}

.skill {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.skill-name {
    width: 120px;
    font-size: 16px;
}

.skill-level {
    width: 160px;
    height: 10px;
    background-color: #eee;
    border-radius: 10px;
    overflow: hidden;
    margin-left: 20px;
    width: 80%;
}

.skill-percent {
    background-color: #000;
    height: 100%;
}

.skill-percent-number {
    margin-left: 20px;
    font-size: 16px;
}

/* social-card */
.social-icons img {
    width: 25px;
    height: 25px;
    margin-right: 10px;
}

#card-link2 {
    display: none;
}

.card-link {
    height: fit-content;
    border-radius: 16px;
    background: #fff;
    box-shadow: 7px 7px 10px #d4d4d4,
        -7px -7px 10px #e0e0e0;
    display: flex;
    margin-top: 20px;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    padding: 25px 25px;
    gap: 20px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.055);
}

@media screen and (max-width:1000px) {
    #card-link1 {
        display: none;
    }


    h3,
    h5 {
        font-size: 1.1rem;
    }

    p {
        font-size: .9rem;
    }

    .aos-init h1 {
        font-size: 1.7rem;
        line-height: 2rem;
    }

    .content-links {
        padding: .7rem 5rem;
    }

    .content-links:hover {
        padding: .8rem 5.7rem;

    }

    #card-link2 {
        display: flex;
    }
    .bi-chevron-up-dark{
        padding: 8px;
        width: 40px;
        height: 40px;
        border-radius: 50%;
        /* position: absolute; */
        /* top: 50%; */
        /* left: 50%; */
        /* transform: translate(-50%,-10%); */
    }
    .name-in-footer{display: none;}
    .logo{display: none;}

}

.socialContainer {
    width: 52px;
    height: 52px;
    border-radius: 50%;
    background-color: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    transition-duration: .3s;
}

.socialContainer:hover {
    background-color: #ffbe0b;
    transition-duration: .3s;
}

.socialContainer:hover svg {
    color: #000;
}

.socialContainer:active {
    transform: scale(0.9);
    transition-duration: .3s;
}

.socialSvg {
    width: 17px;
}

.socialSvg path {
    fill: rgb(255, 255, 255);
}

.socialContainer:hover #svgselc {
    animation: slide-in-top 0.3s both;
}

.bodywithoutloader {
    display: none;
}

.pcotainer {
    width: 80%;
    margin: 0 auto;
    text-align: justify;
}

@keyframes slide-in-top {
    0% {
        transform: translateY(-50px);
        opacity: 0;
    }

    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

.dark {
    background-color: var(--backColorDark);
}

.light {
    background-color: var(--backColorLight);
}

.darkcard {
    background-color: var(--colorBackCard);
    color: var(--colorFontsDark);
    box-shadow: 0px 0px 0px var(--backColorDark),
        0px 0px 0px var(--backColorDark);
    font-family: Montserrat;
    font-weight: 400;
}

.topnavDark {
    background-color: #232323;
    color: var(--backColorDark);
    font-family: Montserrat;
}

.skill-percent-dark {
    background-color: #ffbe0b;
    font-family: Montserrat;
    font-weight: 400;
}

.content-links-dark {
    background-color: #ffbe0b;
    color: #212121;
    font-weight: 700;
}

.header-skill-dark {
    background-color: #232323;
    color: #fff;
}

.title-dark-color {
    color: #ffbe0b;
}

#back {
    text-decoration: none;
    position: fixed;
    bottom: 20px;
    left: 4%;
    background-color: #000;
    color: #fff;
    text-decoration: none;
    border-radius: .8rem;
    padding: .5rem 3rem;
}